## metalink 0.3.6

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
project (metalink)
add_definitions(-DVERSION="0.3.6")
find_package(PkgConfig)

pkg_check_modules(GLIBMM REQUIRED glibmm-2.4)
include_directories(${GLIBMM_INCLUDE_DIRS})
link_directories(${GLIBMM_LIBRARY_DIRS})
link_libraries(${GLIBMM_LIBRARIES} gcrypt)

add_definitions(-std=c++11 )
add_executable(metalink src/metalink.cc src/Preprocessor/os_win.hh src/Preprocessor/debug.hh src/String/String.hh src/String/translated.cc src/String/String.ih src/String/toUpper.cc src/Preprocessor/foreach.hh src/Globals/Globals.hh src/Globals/statics.cc src/Globals/Globals.ih src/Globals/XMLSafe.cc src/Globals/XMLQuotedSafe.cc src/Hash/HashPieces/HashPieces.hh src/Hash/HashPieces/xml.cc src/Hash/HashPieces/HashPieces.ih src/Hash/HashPieces/value.cc src/Hash/HashPieces/update.cc src/Hash/HashPieces/name.cc src/Hash/HashPieces/finalize.cc src/Hash/HashPieces/HashPieces.cc src/Hash/GCrypt/GCrypt.hh src/Hash/GCrypt/value.cc src/Hash/GCrypt/GCrypt.ih src/Hash/GCrypt/update.cc src/Hash/GCrypt/name.cc src/Hash/GCrypt/from.cc src/Hash/GCrypt/finalize.cc src/Hash/Hash.hh src/Hash/xml.cc src/Hash/Hash.ih src/Hash/HashGNUnet/HashGNUnet.hh src/Hash/HashGNUnet/value.cc src/Hash/HashGNUnet/HashGNUnet.ih src/Hash/HashGNUnet/update.cc src/Hash/HashGNUnet/pushChk.cc src/Hash/HashGNUnet/gnunettisch.cc src/Hash/HashGNUnet/finalize.cc src/Hash/HashGNUnet/encryptBlock.cc src/Hash/HashGNUnet/blockKeyAndQuery.cc src/Hash/HashGNUnet/blockKey.cc src/Hash/HashGNUnet/HashGNUnet.cc src/Hash/HashSHA512/HashSHA512.hh src/Hash/HashGNUnet/SessionKey/SessionKey.hh src/Hash/HashGNUnet/SessionKey/statics.cc src/Hash/HashGNUnet/SessionKey/SessionKey.ih src/Hash/HashGNUnet/SessionKey/fromHash.cc src/Hash/HashCRC32/HashCRC32.hh src/Hash/HashCRC32/from.cc src/Hash/HashCRC32/HashCRC32.ih src/Hash/HashED2K/HashED2K.hh src/Hash/HashED2K/value.cc src/Hash/HashED2K/HashED2K.ih src/Hash/HashED2K/update.cc src/Hash/HashED2K/finalize.cc src/Hash/HashMD4/HashMD4.hh src/HashList/HashList.hh src/HashList/update.cc src/HashList/HashList.ih src/HashList/finalize.cc src/HashList/destroyMembers.cc src/MD5File/MD5File.hh src/MD5File/record.cc src/MD5File/MD5File.ih src/MetalinkFile/MetalinkFile.hh src/MetalinkFile/finalize.cc src/MetalinkFile/MetalinkFile.ih src/MetalinkFile/addPath.cc src/MirrorList/MirrorList.hh src/MirrorList/MirrorList.cc src/MirrorList/MirrorList.ih src/Mirror/Mirror.hh src/Mirror/asXMLWithFile.cc src/Mirror/Mirror.ih src/Mirror/Mirror.cc src/Metalink/Metalink.hh src/Metalink/from.cc src/Metalink/Metalink.ih src/Options/Options.hh src/Options/Options.cc src/Options/Options.ih )
install (TARGETS metalink DESTINATION bin)

=== debian/changelog ===
metalink (0.3.6-2) unstable; urgency=low

  * Updated to latest policy
  * Switch to dpkg-source 3.0 (quilt) format
  * Added --as-needed to ld
  * Added patch for dependencies in Makefiles (Closes: #641641) 

 -- Patrick Ruckstuhl <patrick@tario.org>  Tue, 20 Sep 2011 23:46:58 +0200

metalink (0.3.6-1) unstable; urgency=low

  * Initial release (Closes: #503248)

 -- Patrick Ruckstuhl <patrick@tario.org>  Sat, 02 May 2009 20:35:22 +0200

=== debian/control ===
Source: metalink
Section: net
Priority: extra
Maintainer: Patrick Ruckstuhl <patrick@tario.org>
Build-Depends: debhelper (>= 7), autotools-dev, libglibmm-2.4-dev,
 libgcrypt-dev, libboost-program-options-dev, libboost-filesystem-dev,
 libboost-regex-dev
Standards-Version: 3.9.2
Homepage: http://metalinks.sf.net

Package: metalink
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Generator for Metalink files
 Metalink is a Metalink generation tool. It combines a list of mirrors
 and a number of files into one Metalink record (stdout). It can also
 be used to transform a MD5SUMS file into a metalink.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1

DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
	CROSS=CC=$(DEB_HOST_GNU_TYPE)-gcc
else
	CROSS=
endif

CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -f config.guess config.sub
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

config.status: configure
	dh_testdir

ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif

	./configure $(CROSS) CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs,--as-needed" \
                             --prefix=/usr

build: build-arch build-indep

build-arch: build-stamp

build-indep: build-stamp

build-stamp: config.status
	dh_testdir
	$(MAKE)
	touch $@

install: build
	dh_testdir
	dh_testroot
	dh_prep

	$(MAKE) DESTDIR=$(CURDIR)/debian/metalink install

binary: binary-arch

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installman doc/*.1
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

.PHONY: clean build install binary binary-arch binary-indep
